Get Progress Summary
GET /api/writing/analytics/summary
GET
/api/writing/analytics/summary
Get comprehensive progress summary.
Args: days: Number of days of daily progress to include (default 7).
Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” days
Days
integer
Responses
Section titled “ Responses ”Successful Response
AnalyticsStatusResponse[ProgressSummaryResponse]
object
status
required
Status
string
message
required
Message
string
data
Any of:
ProgressSummaryResponse
Progress summary data.
object
goals
Goals
Array<object>
GoalSummaryResponseGoal summary entry.
object
goalId
required
Goalid
string
goalType
Goaltype
string
targetWords
Targetwords
integer
currentWords
Currentwords
integer
percentage
Percentage
number
remaining
Remaining
integer
streak
StreakResponse
Writing streak data.
object
current
Current
integer
longest
Longest
integer
weeklySummary
WeeklySummaryResponse
Weekly summary data.
object
totalWords
Totalwords
integer
totalMinutes
Totalminutes
integer
daysActive
Daysactive
integer
avgWordsPerDay
Avgwordsperday
integer
dailyProgress
Dailyprogress
Array<object>
DailyProgressResponseDaily writing progress entry.
object
date
required
Date
string
words
Words
integer
goal
Goal
integer
achieved
Achieved
boolean
null
Validation Error
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context